apiVersion: batch/v1
kind: CronJob
metadata:
  name: "mysqlbackup-{{ .Release.Name }}"
spec:
  schedule: {{ .Values.schedule }}
  jobTemplate:
    spec:
      template:
        spec:
          restartPolicy: Never
          containers:
          - name: mysqlbackup-{{ .Release.Name }}
            image: {{ .Values.image.registry }}:{{ .Values.image.tag }}
            env:
            {{ if .Values.secretEnableDatabase }}
              - name: MYSQL_DATABASE
                valueFrom:
                  secretKeyRef:
                    name: {{ .Values.nameSecretDatabase | quote }}
                    key: {{ .Values.nameKeyDatabase | quote}}
            {{ else }}
              - name: MYSQL_DATABASE
                value: {{ .Values.mysqlDatabase }}
            {{ end }}
            {{ if .Values.secretEnableUser }}
              - name: MYSQL_USER
                valueFrom:
                  secretKeyRef:
                    name: {{ .Values.nameSecretUser | quote }}
                    key: {{ .Values.nameKeyUser | quote}}
            {{ else }}
              - name: MYSQL_USER
                value: {{ .Values.mysqlUser }}
            {{ end }}
            {{ if  .Values.secretEnablePassword }}
              - name: MYSQL_PASSWORD
                valueFrom:
                  secretKeyRef:
                    name: {{ .Values.nameSecretPassword | quote }}
                    key: {{ .Values.nameKeyPassword | quote}}
            {{ else }}
              - name: MYSQL_PASSWORD
                value: {{ .Values.mysqlPassword }}
            {{ end }}
              - name: MYSQL_HOST
                value: {{ .Values.mysqlHost }}
              - name: MYSQL_PORT
                value: {{ .Values.mysqlPort | quote }}
              - name: FILE_NAME
                value: {{ .Values.fileName | default "backup" }}
            envFrom:
              - secretRef:
                 name: swiftauth-{{ .Release.Name }}
